Subject: Re: lilypond "crie au secours pour lenombre de pages"sans raison

From: Valentin Villenave <[email-masked]>
Date: Wed, 1 Dec 2010 13:04:41 +0100

2010/11/30 michel pondeville <[email-masked]>:
> Pourquoi le log exprime une crainte pour le nombre de pages "croisons les
> doigts" quatre fois sans raison. Il reste en fin de page de la place pour
> deux systèmes sans problème.
> Auriez-vous une explication, s'il vous plaît?

Je ne suis pas spécialiste, mais je crois que ces messages sont
imprimés lorsque Lilypond fait son premier "passage", avant de décider
réellement comment il disposera les systèmes sur la page. Mon
hypothèse est que vos \marks et autres crochets d'alternatives lui
causent du souci à ce moment là, et qu'il préfère vous prévenir au cas
où, même s'il ne sait pas encore exactement quelle place ils prendront
verticalement.

Au demeurant, l'on pourrait poser la question dans l'autre sens :
pourquoi indiquez-vous un nombre de pages forcé alors que LilyPond, de
lui-même, imprime cette partition sur une seule page ? (et ce sans
aucun "croisons les doigts").

Cordialement,
V. Villenave.

---

From: "michel pondeville" <[email-masked]>
Date: Wed, 1 Dec 2010 19:19:02 +0100

> Extêmement claires,Maître.. J'ai bien compris et cela va aller dans ma
> farde à trésors.
> Merci beaucoup
> Merci aussi,Xavier sinon tuvas râler. Ace point de vue, tu es impénitent
> et moi casse-pieds. -:)
Merci beaucoup
> Michel
> ----- Original Message -----
> From: "Valentin Villenave" <[email-masked]>
> To: "michel pondeville" <[email-masked]>
> Sent: Wednesday, December 01, 2010 4:29 PM
> Subject: Re: lilypond "crie au secours pour lenombre de pages"sans raison
>
>
> 2010/12/1 michel pondeville <[email-masked]>:
>> Bonjour Monsieur Villenave
>
> Mais puisque je vous dis de m'appeler Maître ! :-)
>
>> Il y a des chances que je comprends très mal cette suggestion et question
>> car lorsque je laisse le nombre de pages vide,le log signale une erreur
>> non
>> bloquante. Mais Xavier m'a fait la remarque pour un autre fichier
>> "j'aurais
>> dû donner un nombre de pages à page-count." Au début cela bloquait avec
>> page-count =#x" pour cette raison, j'ai laissé vide et j'ai écrit:
>>
>> \paper{ page-count = }Cela a marché mais, je répète: "Xavier Scheuer
>> n'était pas de cet avis"
>
> Quand je dis qu'il n'y a pas besoin de forcer le nombre de pages,
> j'entends par là que vous pourriez laisser le blod \paper { } vide,
> voire ne pas mettre de bloc \paper{} du tout ! En indiquant
> \paper{ page-count =  }
>
> vous donnez à LilyPond le nom d'une propriété (la propriété
> page-count), vous lui signalez (avec le signe =) que vous allez donner
> une valeur à cette propriété, et puis.... et puis plus rien. Pas de
> valeur, pas de nombre, rien. Il est légitime que LilyPond s'estime
> désappointé, vous en conviendrez.
>
> Au demeurant, il y a encore plus simple : mettre la définition sur une
> ligne à part entirèe, et transformer cette ligne en commentaire :
>
> \paper {
>  % page-count = #1
> }
>
> Notez le signe %, qui indique à LilyPond que tout ce qui suit sur la
> ligne doit être ignoré. Cela revient exactement à mettre un bloc
> \paper vide :
>
> \paper {
>
> }
>
> Sauf que si à l'avenir vous avez effectivement besoin d'indiquer le
> nombre de pages, il vous suffira de supprimer le %.
>
> N'hésitez pas à me dire si ces explications ne sont pas claires.
>
> Cordialement,
> Valentin Villenave.
>
> __________ Information NOD32 5663 (20101201) __________
>
> Ce message a ete verifie par NOD32 Antivirus System.
> http://www.nod32.com
>
>